From e994e67a6a5c4722bdc8140528a4dd258c785402 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Wed, 18 Jan 2017 18:45:11 +0100
Subject: [PATCH] Respect custom CFLAGS/LDFLAGS

Based on spnavcfg-0.2.1-custom-flags.patch
---
 Makefile.in |  4 ++--
 configure   | 13 +++++++++++++
 2 files changed, 15 insertions(+), 2 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index 06f23a6..296dd5d 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -7,8 +7,8 @@ warn = -Wall
 CC = gcc
 SED = sed
 INSTALL = install
-CFLAGS = -pedantic $(warn) $(dbg) $(opt) `pkg-config --cflags gtk+-2.0 gmodule-export-2.0`
-LDFLAGS = `pkg-config --libs gtk+-2.0 gmodule-export-2.0` -lX11
+CFLAGS = $(user_cflags) `pkg-config --cflags gtk+-2.0 gmodule-export-2.0`
+LDFLAGS = $(user_ldflags) `pkg-config --libs gtk+-2.0 gmodule-export-2.0` -lX11
 
 $(bin): $(obj)
 	$(CC) -o $@ $(obj) $(LDFLAGS)
diff --git a/configure b/configure
index e211d92..0fed776 100755
--- a/configure
+++ b/configure
@@ -43,6 +43,12 @@ done
 echo "  prefix: $PREFIX"
 echo "  optimize for speed: $OPT"
 echo "  include debugging symbols: $DBG"
+if [ -n "$CFLAGS" ]; then
+	echo "  cflags: $CFLAGS"
+fi
+if [ -n "$LDFLAGS" ]; then
+	echo "  ldflags: $LDFLAGS"
+fi
 echo
 
 # create Makefile
@@ -58,6 +64,13 @@ if [ "$OPT" = 'yes' ]; then
 	echo 'opt = -O3' >>Makefile
 fi
 
+if [ -n "$CFLAGS" ]; then
+        echo "user_cflags = $CFLAGS" >>Makefile
+fi
+if [ -n "$LDFLAGS" ]; then
+	echo "user_ldflags = $LDFLAGS" >>Makefile
+fi
+
 cat "$srcdir/Makefile.in" >>Makefile
 
 echo ''
-- 
2.11.0

